({
    accuracy: true,
    basePower: 60,
    basePowerCallback(pokemon, target, move) {
      if (!(pokemon.gender === "M" && target.gender === "F") && !(pokemon.gender === "F" && target.gender === "M")) {
        this.debug("doubling Lustrous Surge BP due to incompatible gender");
        return move.basePower * 2;
      }
      return move.basePower;
    },
    category: "Special",
    name: "Lustrous Surge",
    pp: 5,
    priority: 0,
    flags: { protect: 1, reflectable: 1, metronome: 1 },
    self: {
      onHit(source) {
        for (const pokemon of source.foes()) {
          pokemon.addVolatile("attract");
        }
      }
    },
    secondary: null,
    target: "adjacentFoe",
    type: "Water",
    contestType: "Beauty"
})